Intermittent GECKO(1767) | SUMMARY: AddressSanitizer: SEGV /builds/worker/workspace/build/src/gfx/layers/ipc/CompositorBridgeParent.cpp:1311:14 in mozilla::layers::CompositorBridgeParent::LeaveTestMode(unsigned long const&)

RESOLVED INCOMPLETE

Status

()

Core
Graphics
P3
normal
RESOLVED INCOMPLETE
2 months ago
a month ago

People

(Reporter: Treeherder Bug Filer, Unassigned)

Tracking

({intermittent-failure})

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: [gfx-noted])

(Reporter)

Description

2 months ago
treeherder
Filed by: archaeopteryx [at] coole-files.de

https://treeherder.mozilla.org/logviewer.html#?job_id=131475197&repo=autoland

https://queue.taskcluster.net/v1/task/Vc0gPhF8TqWgRWNids2ykw/runs/0/artifacts/public/test_info//plain-chunked_errorsummary.log

[task 2017-09-16T15:11:24.472Z] 15:11:24     INFO - TEST-START | editor/libeditor/tests/test_bug514156.html
[task 2017-09-16T15:11:25.275Z] 15:11:25     INFO - GECKO(1767) | MEMORY STAT | vsize 20973432MB | residentFast 414MB
[task 2017-09-16T15:11:25.332Z] 15:11:25     INFO - TEST-OK | editor/libeditor/tests/test_bug514156.html | took 859ms
[task 2017-09-16T15:11:25.433Z] 15:11:25     INFO - TEST-START | editor/libeditor/tests/test_bug537046.html
[task 2017-09-16T15:11:25.773Z] 15:11:25     INFO - GECKO(1767) | JavaScript error: http://mochi.test:8888/tests/editor/libeditor/tests/test_bug537046.html, line 34: too much recursion
[task 2017-09-16T15:11:25.776Z] 15:11:25     INFO - GECKO(1767) | JavaScript error: http://mochi.test:8888/tests/editor/libeditor/tests/test_bug537046.html, line 34: too much recursion
[task 2017-09-16T15:11:25.814Z] 15:11:25     INFO - GECKO(1767) | JavaScript error: http://mochi.test:8888/tests/editor/libeditor/tests/test_bug537046.html, line 34: too much recursion
[task 2017-09-16T15:11:25.816Z] 15:11:25     INFO - GECKO(1767) | JavaScript error: http://mochi.test:8888/tests/editor/libeditor/tests/test_bug537046.html, line 34: too much recursion
[task 2017-09-16T15:11:25.851Z] 15:11:25     INFO - GECKO(1767) | JavaScript error: http://mochi.test:8888/tests/editor/libeditor/tests/test_bug537046.html, line 34: too much recursion
[task 2017-09-16T15:11:25.852Z] 15:11:25     INFO - GECKO(1767) | JavaScript error: http://mochi.test:8888/tests/editor/libeditor/tests/test_bug537046.html, line 34: too much recursion
[task 2017-09-16T15:11:25.908Z] 15:11:25     INFO - GECKO(1767) | JavaScript error: http://mochi.test:8888/tests/editor/libeditor/tests/test_bug537046.html, line 34: too much recursion
[task 2017-09-16T15:11:25.911Z] 15:11:25     INFO - GECKO(1767) | JavaScript error: http://mochi.test:8888/tests/editor/libeditor/tests/test_bug537046.html, line 34: too much recursion
[task 2017-09-16T15:11:25.949Z] 15:11:25     INFO - GECKO(1767) | JavaScript error: http://mochi.test:8888/tests/editor/libeditor/tests/test_bug537046.html, line 34: too much recursion
[task 2017-09-16T15:11:25.952Z] 15:11:25     INFO - GECKO(1767) | JavaScript error: http://mochi.test:8888/tests/editor/libeditor/tests/test_bug537046.html, line 34: too much recursion
[task 2017-09-16T15:11:25.967Z] 15:11:25     INFO - GECKO(1767) | MEMORY STAT | vsize 20973434MB | residentFast 421MB
[task 2017-09-16T15:11:26.023Z] 15:11:26     INFO - TEST-OK | editor/libeditor/tests/test_bug537046.html | took 591ms
[task 2017-09-16T15:11:26.129Z] 15:11:26     INFO - TEST-START | editor/libeditor/tests/test_bug549262.html
[task 2017-09-16T15:11:29.816Z] 15:11:29     INFO - GECKO(1767) | ASAN:DEADLYSIGNAL
[task 2017-09-16T15:11:29.818Z] 15:11:29     INFO - GECKO(1767) | =================================================================
[task 2017-09-16T15:11:29.820Z] 15:11:29    ERROR - GECKO(1767) | ==1767==ERROR: AddressSanitizer: SEGV on unknown address 0x0000000001c0 (pc 0x7fe5c5a92d2c bp 0x7fe570a3fc90 sp 0x7fe570a3fc90 T26)
[task 2017-09-16T15:11:29.822Z] 15:11:29     INFO - GECKO(1767) | ==1767==The signal is caused by a WRITE memory access.
[task 2017-09-16T15:11:29.824Z] 15:11:29     INFO - GECKO(1767) | ==1767==Hint: address points to the zero page.
[task 2017-09-16T15:11:31.274Z] 15:11:31     INFO - GECKO(1767) |     #0 0x7fe5c5a92d2b in mozilla::layers::CompositorBridgeParent::LeaveTestMode(unsigned long const&) /builds/worker/workspace/build/src/gfx/layers/ipc/CompositorBridgeParent.cpp:1311:14
[task 2017-09-16T15:11:31.291Z] 15:11:31     INFO - GECKO(1767) |     #1 0x7fe5c5adc84b in mozilla::layers::LayerTransactionParent::RecvLeaveTestMode() /builds/worker/workspace/build/src/gfx/layers/ipc/LayerTransactionParent.cpp:729:22
[task 2017-09-16T15:11:31.295Z] 15:11:31     INFO - GECKO(1767) |     #2 0x7fe5c482867d in mozilla::layers::PLayerTransactionParent::OnMessageReceived(IPC::Message const&, IPC::Message*&) /builds/worker/workspace/build/src/obj-firefox/ipc/ipdl/PLayerTransactionParent.cpp:498:20
[task 2017-09-16T15:11:31.306Z] 15:11:31     INFO - GECKO(1767) |     #3 0x7fe5c460e9d7 in mozilla::ipc::MessageChannel::DispatchSyncMessage(IPC::Message const&, IPC::Message*&) /builds/worker/workspace/build/src/ipc/glue/MessageChannel.cpp:2083:25
[task 2017-09-16T15:11:31.308Z] 15:11:31     INFO - GECKO(1767) |     #4 0x7fe5c460c1dd in mozilla::ipc::MessageChannel::DispatchMessage(IPC::Message&&) /builds/worker/workspace/build/src/ipc/glue/MessageChannel.cpp:2041:17
[task 2017-09-16T15:11:31.310Z] 15:11:31     INFO - GECKO(1767) |     #5 0x7fe5c460d8a4 in mozilla::ipc::MessageChannel::RunMessage(mozilla::ipc::MessageChannel::MessageTask&) /builds/worker/workspace/build/src/ipc/glue/MessageChannel.cpp:1891:5
[task 2017-09-16T15:11:31.313Z] 15:11:31     INFO - GECKO(1767) |     #6 0x7fe5c460def8 in mozilla::ipc::MessageChannel::MessageTask::Run() /builds/worker/workspace/build/src/ipc/glue/MessageChannel.cpp:1924:15
[task 2017-09-16T15:11:31.331Z] 15:11:31     INFO - GECKO(1767) |     #7 0x7fe5c457afb3 in RunTask /builds/worker/workspace/build/src/ipc/chromium/src/base/message_loop.cc:452:9
[task 2017-09-16T15:11:31.334Z] 15:11:31     INFO - GECKO(1767) |     #8 0x7fe5c457afb3 in DeferOrRunPendingTask /builds/worker/workspace/build/src/ipc/chromium/src/base/message_loop.cc:460
[task 2017-09-16T15:11:31.335Z] 15:11:31     INFO - GECKO(1767) |     #9 0x7fe5c457afb3 in MessageLoop::DoWork() /builds/worker/workspace/build/src/ipc/chromium/src/base/message_loop.cc:535
[task 2017-09-16T15:11:31.337Z] 15:11:31     INFO - GECKO(1767) |     #10 0x7fe5c457cc09 in base::MessagePumpDefault::Run(base::MessagePump::Delegate*) /builds/worker/workspace/build/src/ipc/chromium/src/base/message_pump_default.cc:36:31
[task 2017-09-16T15:11:31.341Z] 15:11:31     INFO - GECKO(1767) |     #11 0x7fe5c4578b9b in RunInternal /builds/worker/workspace/build/src/ipc/chromium/src/base/message_loop.cc:326:10
[task 2017-09-16T15:11:31.344Z] 15:11:31     INFO - GECKO(1767) |     #12 0x7fe5c4578b9b in RunHandler /builds/worker/workspace/build/src/ipc/chromium/src/base/message_loop.cc:319
[task 2017-09-16T15:11:31.347Z] 15:11:31     INFO - GECKO(1767) |     #13 0x7fe5c4578b9b in MessageLoop::Run() /builds/worker/workspace/build/src/ipc/chromium/src/base/message_loop.cc:299
[task 2017-09-16T15:11:31.356Z] 15:11:31     INFO - GECKO(1767) |     #14 0x7fe5c4596039 in base::Thread::ThreadMain() /builds/worker/workspace/build/src/ipc/chromium/src/base/thread.cc:181:16
[task 2017-09-16T15:11:31.359Z] 15:11:31     INFO - GECKO(1767) |     #15 0x7fe5c458790c in ThreadFunc(void*) /builds/worker/workspace/build/src/ipc/chromium/src/base/platform_thread_posix.cc:38:13
[task 2017-09-16T15:11:31.361Z] 15:11:31     INFO - GECKO(1767) |     #16 0x7fe5e2bbd6b9 in start_thread (/lib/x86_64-linux-gnu/libpthread.so.0+0x76b9)
[task 2017-09-16T15:11:32.628Z] 15:11:32     INFO - GECKO(1767) |     #17 0x7fe5e1c463dc in clone /build/glibc-bfm8X4/glibc-2.23/misc/../sysdeps/unix/sysv/linux/x86_64/clone.S:109
[task 2017-09-16T15:11:32.630Z] 15:11:32     INFO - GECKO(1767) | AddressSanitizer can not provide additional info.
[task 2017-09-16T15:11:32.632Z] 15:11:32     INFO - GECKO(1767) | SUMMARY: AddressSanitizer: SEGV /builds/worker/workspace/build/src/gfx/layers/ipc/CompositorBridgeParent.cpp:1311:14 in mozilla::layers::CompositorBridgeParent::LeaveTestMode(unsigned long const&)
[task 2017-09-16T15:11:32.634Z] 15:11:32     INFO - GECKO(1767) | Thread T26 (Compositor) created by T0 here:
[task 2017-09-16T15:11:32.654Z] 15:11:32     INFO - GECKO(1767) |     #0 0x4a4656 in __interceptor_pthread_create /builds/slave/moz-toolchain/src/llvm/projects/compiler-rt/lib/asan/asan_interceptors.cc:245:3
[task 2017-09-16T15:11:32.656Z] 15:11:32     INFO - GECKO(1767) |     #1 0x7fe5c4586bec in CreateThread /builds/worker/workspace/build/src/ipc/chromium/src/base/platform_thread_posix.cc:135:14
[task 2017-09-16T15:11:32.658Z] 15:11:32     INFO - GECKO(1767) |     #2 0x7fe5c4586bec in PlatformThread::Create(unsigned long, PlatformThread::Delegate*, unsigned long*) /builds/worker/workspace/build/src/ipc/chromium/src/base/platform_thread_posix.cc:146
[task 2017-09-16T15:11:32.661Z] 15:11:32     INFO - GECKO(1767) |     #3 0x7fe5c4595a7e in base::Thread::StartWithOptions(base::Thread::Options const&) /builds/worker/workspace/build/src/ipc/chromium/src/base/thread.cc:99:8
[task 2017-09-16T15:11:32.672Z] 15:11:32     INFO - GECKO(1767) |     #4 0x7fe5c5aa2f19 in mozilla::layers::CompositorThreadHolder::CreateCompositorThread() /builds/worker/workspace/build/src/gfx/layers/ipc/CompositorThread.cpp:103:26
[task 2017-09-16T15:11:32.674Z] 15:11:32     INFO - GECKO(1767) |     #5 0x7fe5c5aa308d in CompositorThreadHolder /builds/worker/workspace/build/src/gfx/layers/ipc/CompositorThread.cpp:54:23
[task 2017-09-16T15:11:32.676Z] 15:11:32     INFO - GECKO(1767) |     #6 0x7fe5c5aa308d in mozilla::layers::CompositorThreadHolder::Start() /builds/worker/workspace/build/src/gfx/layers/ipc/CompositorThread.cpp:120
[task 2017-09-16T15:11:32.679Z] 15:11:32     INFO - GECKO(1767) |     #7 0x7fe5c5b81054 in InitLayersIPC /builds/worker/workspace/build/src/gfx/thebes/gfxPlatform.cpp:1037:5
[task 2017-09-16T15:11:32.683Z] 15:11:32     INFO - GECKO(1767) |     #8 0x7fe5c5b81054 in gfxPlatform::Init() /builds/worker/workspace/build/src/gfx/thebes/gfxPlatform.cpp:776
[task 2017-09-16T15:11:32.688Z] 15:11:32     INFO - GECKO(1767) |     #9 0x7fe5c5b7dc3b in gfxPlatform::GetPlatform() /builds/worker/workspace/build/src/gfx/thebes/gfxPlatform.cpp:545:9
[task 2017-09-16T15:11:32.697Z] 15:11:32     INFO - GECKO(1767) |     #10 0x7fe5c9ce0917 in mozilla::widget::GfxInfoBase::GetContentBackend(nsTSubstring<char16_t>&) /builds/worker/workspace/build/src/widget/GfxInfoBase.cpp:1493:25
[task 2017-09-16T15:11:32.699Z] 15:11:32     INFO - GECKO(1767) |     #11 0x7fe5c38964c1 in NS_InvokeByIndex /builds/worker/workspace/build/src/xpcom/reflect/xptcall/md/unix/xptcinvoke_asm_x86_64_unix.S:129
[task 2017-09-16T15:11:32.719Z] 15:11:32     INFO - GECKO(1767) |     #12 0x7fe5c502f6d0 in Invoke /builds/worker/workspace/build/src/js/xpconnect/src/XPCWrappedNative.cpp:1996:12
[task 2017-09-16T15:11:32.721Z] 15:11:32     INFO - GECKO(1767) |     #13 0x7fe5c502f6d0 in Call /builds/worker/workspace/build/src/js/xpconnect/src/XPCWrappedNative.cpp:1315
[task 2017-09-16T15:11:32.722Z] 15:11:32     INFO - GECKO(1767) |     #14 0x7fe5c502f6d0 in XPCWrappedNative::CallMethod(XPCCallContext&, XPCWrappedNative::CallMode) /builds/worker/workspace/build/src/js/xpconnect/src/XPCWrappedNative.cpp:1282
[task 2017-09-16T15:11:32.725Z] 15:11:32     INFO - GECKO(1767) |     #15 0x7fe5c5036e55 in GetAttribute /builds/worker/workspace/build/src/js/xpconnect/src/xpcprivate.h:1685:17
[task 2017-09-16T15:11:32.729Z] 15:11:32     INFO - GECKO(1767) |     #16 0x7fe5c5036e55 in XPC_WN_GetterSetter(JSContext*, unsigned int, JS::Value*) /builds/worker/workspace/build/src/js/xpconnect/src/XPCWrappedNativeJSOps.cpp:964
[task 2017-09-16T15:11:32.737Z] 15:11:32     INFO - GECKO(1767) |     #17 0x7fe5ce5405f4 in CallJSNative /builds/worker/workspace/build/src/js/src/jscntxtinlines.h:293:15
[task 2017-09-16T15:11:32.742Z] 15:11:32     INFO - GECKO(1767) |     #18 0x7fe5ce5405f4 in js::InternalCallOrConstruct(JSContext*, JS::CallArgs const&, js::MaybeConstruct) /builds/worker/workspace/build/src/js/src/vm/Interpreter.cpp:495
[task 2017-09-16T15:11:32.746Z] 15:11:32     INFO - GECKO(1767) |     #19 0x7fe5ce54202f in InternalCall /builds/worker/workspace/build/src/js/src/vm/Interpreter.cpp:540:12
[task 2017-09-16T15:11:32.749Z] 15:11:32     INFO - GECKO(1767) |     #20 0x7fe5ce54202f in Call /builds/worker/workspace/build/src/js/src/vm/Interpreter.cpp:559
[task 2017-09-16T15:11:32.753Z] 15:11:32     INFO - GECKO(1767) |     #21 0x7fe5ce54202f in js::CallGetter(JSContext*, JS::Handle<JS::Value>, JS::Handle<JS::Value>, JS::MutableHandle<JS::Value>) /builds/worker/workspace/build/src/js/src/vm/Interpreter.cpp:674
[task 2017-09-16T15:11:32.775Z] 15:11:32     INFO - GECKO(1767) |     #22 0x7fe5cf4f0985 in CallGetter /builds/worker/workspace/build/src/js/src/vm/NativeObject.cpp:2123:16
[task 2017-09-16T15:11:32.779Z] 15:11:32     INFO - GECKO(1767) |     #23 0x7fe5cf4f0985 in GetExistingProperty<js::AllowGC::CanGC> /builds/worker/workspace/build/src/js/src/vm/NativeObject.cpp:2171
[task 2017-09-16T15:11:32.784Z] 15:11:32     INFO - GECKO(1767) |     #24 0x7fe5cf4f0985 in NativeGetPropertyInline<js::AllowGC::CanGC> /builds/worker/workspace/build/src/js/src/vm/NativeObject.cpp:2385
[task 2017-09-16T15:11:32.786Z] 15:11:32     INFO - GECKO(1767) |     #25 0x7fe5cf4f0985 in js::NativeGetProperty(JSContext*, JS::Handle<js::NativeObject*>, JS::Handle<JS::Value>, JS::Handle<jsid>, JS::MutableHandle<JS::Value>) /builds/worker/workspace/build/src/js/src/vm/NativeObject.cpp:2421
[task 2017-09-16T15:11:32.803Z] 15:11:32     INFO - GECKO(1767) |     #26 0x7fe5ce52d62d in GetProperty /builds/worker/workspace/build/src/js/src/vm/NativeObject.h:1540:12
[task 2017-09-16T15:11:32.805Z] 15:11:32     INFO - GECKO(1767) |     #27 0x7fe5ce52d62d in GetObjectElementOperation /builds/worker/workspace/build/src/js/src/vm/Interpreter-inl.h:524
[task 2017-09-16T15:11:32.808Z] 15:11:32     INFO - GECKO(1767) |     #28 0x7fe5ce52d62d in GetElementOperation /builds/worker/workspace/build/src/js/src/vm/Interpreter-inl.h:630
[task 2017-09-16T15:11:32.810Z] 15:11:32     INFO - GECKO(1767) |     #29 0x7fe5ce52d62d in Interpret(JSContext*, js::RunState&) /builds/worker/workspace/build/src/js/src/vm/Interpreter.cpp:2922
[task 2017-09-16T15:11:32.816Z] 15:11:32     INFO - GECKO(1767) |     #30 0x7fe5ce51171b in js::RunScript(JSContext*, js::RunState&) /builds/worker/workspace/build/src/js/src/vm/Interpreter.cpp:435:12
[task 2017-09-16T15:11:32.821Z] 15:11:32     INFO - GECKO(1767) |     #31 0x7fe5ce54078c in js::InternalCallOrConstruct(JSContext*, JS::CallArgs const&, js::MaybeConstruct) /builds/worker/workspace/build/src/js/src/vm/Interpreter.cpp:513:15
[task 2017-09-16T15:11:32.823Z] 15:11:32     INFO - GECKO(1767) |     #32 0x7fe5ce52a18f in CallFromStack /builds/worker/workspace/build/src/js/src/vm/Interpreter.cpp:546:12
[task 2017-09-16T15:11:32.841Z] 15:11:32     INFO - GECKO(1767) |     #33 0x7fe5ce52a18f in Interpret(JSContext*, js::RunState&) /builds/worker/workspace/build/src/js/src/vm/Interpreter.cpp:3084
[task 2017-09-16T15:11:32.843Z] 15:11:32     INFO - GECKO(1767) |     #34 0x7fe5ce51171b in js::RunScript(JSContext*, js::RunState&) /builds/worker/workspace/build/src/js/src/vm/Interpreter.cpp:435:12
[task 2017-09-16T15:11:32.844Z] 15:11:32     INFO - GECKO(1767) |     #35 0x7fe5ce54078c in js::InternalCallOrConstruct(JSContext*, JS::CallArgs const&, js::MaybeConstruct) /builds/worker/workspace/build/src/js/src/vm/Interpreter.cpp:513:15
[task 2017-09-16T15:11:32.853Z] 15:11:32     INFO - GECKO(1767) |     #36 0x7fe5ce52a18f in CallFromStack /builds/worker/workspace/build/src/js/src/vm/Interpreter.cpp:546:12
[task 2017-09-16T15:11:32.857Z] 15:11:32     INFO - GECKO(1767) |     #37 0x7fe5ce52a18f in Interpret(JSContext*, js::RunState&) /builds/worker/workspace/build/src/js/src/vm/Interpreter.cpp:3084
[task 2017-09-16T15:11:32.862Z] 15:11:32     INFO - GECKO(1767) |     #38 0x7fe5ce51171b in js::RunScript(JSContext*, js::RunState&) /builds/worker/workspace/build/src/js/src/vm/Interpreter.cpp:435:12
[task 2017-09-16T15:11:32.864Z] 15:11:32     INFO - GECKO(1767) |     #39 0x7fe5ce54078c in js::InternalCallOrConstruct(JSContext*, JS::CallArgs const&, js::MaybeConstruct) /builds/worker/workspace/build/src/js/src/vm/Interpreter.cpp:513:15
[task 2017-09-16T15:11:32.867Z] 15:11:32     INFO - GECKO(1767) |     #40 0x7fe5ce52a18f in CallFromStack /builds/worker/workspace/build/src/js/src/vm/Interpreter.cpp:546:12
[task 2017-09-16T15:11:32.869Z] 15:11:32     INFO - GECKO(1767) |     #41 0x7fe5ce52a18f in Interpret(JSContext*, js::RunState&) /builds/worker/workspace/build/src/js/src/vm/Interpreter.cpp:3084
[task 2017-09-16T15:11:32.877Z] 15:11:32     INFO - GECKO(1767) |     #42 0x7fe5ce51171b in js::RunScript(JSContext*, js::RunState&) /builds/worker/workspace/build/src/js/src/vm/Interpreter.cpp:435:12
[task 2017-09-16T15:11:32.881Z] 15:11:32     INFO - GECKO(1767) |     #43 0x7fe5ce54078c in js::InternalCallOrConstruct(JSContext*, JS::CallArgs const&, js::MaybeConstruct) /builds/worker/workspace/build/src/js/src/vm/Interpreter.cpp:513:15
[task 2017-09-16T15:11:32.892Z] 15:11:32     INFO - GECKO(1767) |     #44 0x7fe5ce5410e2 in js::Call(JSContext*, JS::Handle<JS::Value>, JS::Handle<JS::Value>, js::AnyInvokeArgs const&, JS::MutableHandle<JS::Value>) /builds/worker/workspace/build/src/js/src/vm/Interpreter.cpp:559:10
[task 2017-09-16T15:11:32.909Z] 15:11:32     INFO - GECKO(1767) |     #45 0x7fe5cef95623 in JS_CallFunctionValue(JSContext*, JS::Handle<JSObject*>, JS::Handle<JS::Value>, JS::HandleValueArray const&, JS::MutableHandle<JS::Value>) /builds/worker/workspace/build/src/js/src/jsapi.cpp:2906:12
[task 2017-09-16T15:11:32.914Z] 15:11:32     INFO - GECKO(1767) |     #46 0x7fe5c5016043 in nsXPCWrappedJSClass::CallMethod(nsXPCWrappedJS*, unsigned short, XPTMethodDescriptor const*, nsXPTCMiniVariant*) /builds/worker/workspace/build/src/js/xpconnect/src/XPCWrappedJSClass.cpp:1318:23
[task 2017-09-16T15:11:32.919Z] 15:11:32     INFO - GECKO(1767) |     #47 0x7fe5c3897baa in PrepareAndDispatch /builds/worker/workspace/build/src/xpcom/reflect/xptcall/md/unix/xptcstubs_x86_64_linux.cpp:120:28
[task 2017-09-16T15:11:32.923Z] 15:11:32     INFO - GECKO(1767) |     #48 0x7fe5c3896b86 in SharedStub (/builds/worker/workspace/build/application/firefox/libxul.so+0x220db86)
[task 2017-09-16T15:11:32.941Z] 15:11:32     INFO - GECKO(1767) |     #49 0x7fe5c3818deb in NS_CreateServicesFromCategory(char const*, nsISupports*, char const*, char16_t const*) /builds/worker/workspace/build/src/xpcom/components/nsCategoryManager.cpp:810:19
[task 2017-09-16T15:11:32.944Z] 15:11:32     INFO - GECKO(1767) |     #50 0x7fe5ce074015 in nsXREDirProvider::DoStartup() /builds/worker/workspace/build/src/toolkit/xre/nsXREDirProvider.cpp:1056:11
[task 2017-09-16T15:11:32.947Z] 15:11:32     INFO - GECKO(1767) |     #51 0x7fe5ce0527f8 in XREMain::XRE_mainRun() /builds/worker/workspace/build/src/toolkit/xre/nsAppRunner.cpp:4530:16
[task 2017-09-16T15:11:32.949Z] 15:11:32     INFO - GECKO(1767) |     #52 0x7fe5ce054f18 in XREMain::XRE_main(int, char**, mozilla::BootstrapConfig const&) /builds/worker/workspace/build/src/toolkit/xre/nsAppRunner.cpp:4865:8
[task 2017-09-16T15:11:32.953Z] 15:11:32     INFO - GECKO(1767) |     #53 0x7fe5ce05634b in XRE_main(int, char**, mozilla::BootstrapConfig const&) /builds/worker/workspace/build/src/toolkit/xre/nsAppRunner.cpp:4960:21
[task 2017-09-16T15:11:32.975Z] 15:11:32     INFO - GECKO(1767) |     #54 0x4ebea3 in do_main /builds/worker/workspace/build/src/browser/app/nsBrowserApp.cpp:236:22
[task 2017-09-16T15:11:32.981Z] 15:11:32     INFO - GECKO(1767) |     #55 0x4ebea3 in main /builds/worker/workspace/build/src/browser/app/nsBrowserApp.cpp:309
[task 2017-09-16T15:11:32.982Z] 15:11:32     INFO - GECKO(1767) |     #56 0x7fe5e1b5f82f in __libc_start_main /build/glibc-bfm8X4/glibc-2.23/csu/../csu/libc-start.c:291
[task 2017-09-16T15:11:32.984Z] 15:11:32     INFO - GECKO(1767) | ==1767==ABORTING
[task 2017-09-16T15:11:33.104Z] 15:11:33     INFO - GECKO(1767) | ###!!! [Child][MessageChannel::SendAndWait] Error: Channel error: cannot send/recv
[task 2017-09-16T15:11:33.121Z] 15:11:33     INFO - GECKO(1767) | [Child 1810, Chrome_ChildThread] WARNING: pipe error (28): Connection reset by peer: file /builds/worker/workspace/build/src/ipc/chromium/src/chrome/common/ipc_channel_posix.cc, line 353
[task 2017-09-16T15:11:33.127Z] 15:11:33     INFO - GECKO(1767) | [Child 1810, Chrome_ChildThread] WARNING: pipe error (3): Connection reset by peer: file /builds/worker/workspace/build/src/ipc/chromium/src/chrome/common/ipc_channel_posix.cc, line 353
[task 2017-09-16T15:11:33.132Z] 15:11:33     INFO - GECKO(1767) | ASAN:DEADLYSIGNAL

Comment 1

2 months ago
1 failures in 1032 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 1

Platform breakdown:
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1400581&startday=2017-09-11&endday=2017-09-17&tree=all
Priority: P5 → P3
Whiteboard: [gfx-noted]
https://wiki.mozilla.org/Bugmasters#Intermittent_Test_Failure_Cleanup
Status: NEW → RESOLVED
Last Resolved: a month ago
Resolution: --- → INCOMPLETE
You need to log in before you can comment on or make changes to this bug.